body {
    margin: 0;
    /* font-family: "Inter", "Segoe UI", Arial, sans-serif; */
    background: #f7f9fc; 
    color: #142033;
}

* {
    box-sizing: border-box;
}

a {
    text-decoration: none;
}

img {
    display: block;
    max-width: 100%;
}

.container {
    width: min(1200px, calc(100% - 64px));
    margin: 0 auto;
}

.site-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    padding: 18px 0;
    /* background: rgba(10, 28, 56, 0.42); */
    background: #fff;
    backdrop-filter: blur(10px);
    border-bottom: 1px solid #202a4c;
}

.header-inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 24px;
}

.brand {
    display: inline-flex;
    align-items: center;
    gap: 12px;
    color: #ffffff;
}

.brand-logo {
    width: 75px;
    height: 75px;
    object-fit: contain;
    display: block;
}

.brand-text {
    display: flex;
    flex-direction: column;
    line-height: 1.05;
}

.brand-name {
    font-size: 18px;
    font-weight: 700;
    letter-spacing: 0.01em;
    color: #ffffff;
}

.brand-subtitle {
    font-size: 11px;
    color: rgba(255, 255, 255, 0.86);
}

.main-nav {
    display: flex;
    align-items: center;
    gap: 30px;
}

.main-nav a {
    color: #202a4c;;
    font-size: 15px;
    font-weight: 600;
    transition: opacity 0.2s ease;
    font-family: 'Montserrat', sans-serif; 
    /* depends on what client thinks of font ^^^*/
}

.main-nav a:hover {
    opacity: 0.82;
}

@media (max-width: 768px) {
    .container {
        width: min(100% - 32px, 1200px);
    }

    .site-header {
        padding: 16px 0;
    }

    .header-inner {
        flex-direction: column;
        align-items: flex-start;
    }

    .main-nav {
        gap: 18px;
        flex-wrap: wrap;
    }
}
